﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace ViraScraper.Models
{
    public enum HashtagType
    {
        Instagram,
        Twitter,
        Facebook

    }
    public class Hashtag
    {
        public int HashtagId { get; set; }
        public string Tag { get; set; }
        public DateTime CreationDate { get; set; }
        public HashtagType HashtagType { get; set; }

        [NotMapped]
        public virtual IEnumerable<Synonyms> Synonymses { get; set; }

        public override bool Equals(object obj)
        {
            var hsb = obj as Hashtag;
            if (hsb.Tag == Tag)
                return true;
            else
                return false;
        }
    }
}
