﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace ViraScraper.Models
{
    public class Synonyms
    {
        [Key]
        public int SynonymsId { get; set; }
        public int HashtagAId { get; set; }
        public int HashtagBId { get; set; }

        [NotMapped]
        public Hashtag HashtagA { get; set; }
        [NotMapped]
        public Hashtag HashtagB { get; set; }
    }
}
